DefaultServerEndpointConfigurator (Apache Tomcat 9.0.120 API Documentation)
Description: declaration: package: org.apache.tomcat.websocket.server, class: DefaultServerEndpointConfigurator

# Class DefaultServerEndpointConfigurator

java.lang.Object
javax.websocket.server.ServerEndpointConfig.Configurator
org.apache.tomcat.websocket.server.DefaultServerEndpointConfigurator

public class DefaultServerEndpointConfigurator extends ServerEndpointConfig.Configurator
Default implementation of `ServerEndpointConfig.Configurator` for WebSocket server endpoints.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DefaultServerEndpointConfigurator()`
  Default constructor.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `checkOrigin(String originHeaderValue)`
  `<T> T`
  `getEndpointInstance(Class<T> clazz)`
  `List<Extension>`
  `getNegotiatedExtensions(List<Extension> installed, List<Extension> requested)`
  `String`
  `getNegotiatedSubprotocol(List<String> supported, List<String> requested)`
  `void`
  `modifyHandshake(ServerEndpointConfig sec, HandshakeRequest request, HandshakeResponse response)`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### DefaultServerEndpointConfigurator

    public DefaultServerEndpointConfigurator()
    Default constructor.

- ## Method Details

  - ### getEndpointInstance

    public <T> T getEndpointInstance(Class<T> clazz) throws InstantiationException
    Overrides:
      `getEndpointInstance` in class `ServerEndpointConfig.Configurator`
    Throws:
      `InstantiationException`

  - ### getNegotiatedSubprotocol

    public String getNegotiatedSubprotocol(List<String> supported, List<String> requested)
    Overrides:
      `getNegotiatedSubprotocol` in class `ServerEndpointConfig.Configurator`

  - ### getNegotiatedExtensions

    public List<Extension> getNegotiatedExtensions(List<Extension> installed, List<Extension> requested)
    Overrides:
      `getNegotiatedExtensions` in class `ServerEndpointConfig.Configurator`

  - ### checkOrigin

    public boolean checkOrigin(String originHeaderValue)
    Overrides:
      `checkOrigin` in class `ServerEndpointConfig.Configurator`

  - ### modifyHandshake

    public void modifyHandshake(ServerEndpointConfig sec, HandshakeRequest request, HandshakeResponse response)
    Overrides:
      `modifyHandshake` in class `ServerEndpointConfig.Configurator`